package com.ruoyi.syzy.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BusiWishUniversitySubmitPreEnrollMapper;
import com.ruoyi.syzy.domain.BusiWishUniversitySubmitPreEnroll;
import com.ruoyi.syzy.service.IBusiWishUniversitySubmitPreEnrollService;

/**
 * 提前批录取Service业务层处理
 * 
 * @author voluntary
 * @date 2023-03-12
 */
@Service
public class BusiWishUniversitySubmitPreEnrollServiceImpl implements IBusiWishUniversitySubmitPreEnrollService 
{
    @Autowired
    private BusiWishUniversitySubmitPreEnrollMapper busiWishUniversitySubmitPreEnrollMapper;

    /**
     * 查询提前批录取
     * 
     * @param id 提前批录取主键
     * @return 提前批录取
     */
    @Override
    public BusiWishUniversitySubmitPreEnroll selectBusiWishUniversitySubmitPreEnrollById(Long id)
    {
        return busiWishUniversitySubmitPreEnrollMapper.selectBusiWishUniversitySubmitPreEnrollById(id);
    }

    /**
     * 查询提前批录取列表
     * 
     * @param busiWishUniversitySubmitPreEnroll 提前批录取
     * @return 提前批录取
     */
    @Override
    public List<BusiWishUniversitySubmitPreEnroll> selectBusiWishUniversitySubmitPreEnrollList(BusiWishUniversitySubmitPreEnroll busiWishUniversitySubmitPreEnroll)
    {
        return busiWishUniversitySubmitPreEnrollMapper.selectBusiWishUniversitySubmitPreEnrollList(busiWishUniversitySubmitPreEnroll);
    }

    @Override
    public List<String> years(String location,String category) {
        return busiWishUniversitySubmitPreEnrollMapper.years(location,category);
    }

    @Override
    public List<String> getTag(String year, String location, String tag, String category) {
        return busiWishUniversitySubmitPreEnrollMapper.getTag(year, location, tag,category);
    }

    @Override
    public List<String> getCourse1(String year, String location,String course0,String category,String tag) {
        return busiWishUniversitySubmitPreEnrollMapper.getCourse1(year, location,course0,category,tag);
    }

    /**
     * 新增提前批录取
     * 
     * @param busiWishUniversitySubmitPreEnroll 提前批录取
     * @return 结果
     */
    @Override
    public int insertBusiWishUniversitySubmitPreEnroll(BusiWishUniversitySubmitPreEnroll busiWishUniversitySubmitPreEnroll)
    {
        busiWishUniversitySubmitPreEnroll.setCreateTime(DateUtils.getNowDate());
        return busiWishUniversitySubmitPreEnrollMapper.insertBusiWishUniversitySubmitPreEnroll(busiWishUniversitySubmitPreEnroll);
    }

    /**
     * 修改提前批录取
     * 
     * @param busiWishUniversitySubmitPreEnroll 提前批录取
     * @return 结果
     */
    @Override
    public int updateBusiWishUniversitySubmitPreEnroll(BusiWishUniversitySubmitPreEnroll busiWishUniversitySubmitPreEnroll)
    {
        return busiWishUniversitySubmitPreEnrollMapper.updateBusiWishUniversitySubmitPreEnroll(busiWishUniversitySubmitPreEnroll);
    }

    /**
     * 批量删除提前批录取
     * 
     * @param ids 需要删除的提前批录取主键
     * @return 结果
     */
    @Override
    public int deleteBusiWishUniversitySubmitPreEnrollByIds(Long[] ids)
    {
        return busiWishUniversitySubmitPreEnrollMapper.deleteBusiWishUniversitySubmitPreEnrollByIds(ids);
    }

    /**
     * 删除提前批录取信息
     * 
     * @param id 提前批录取主键
     * @return 结果
     */
    @Override
    public int deleteBusiWishUniversitySubmitPreEnrollById(Long id)
    {
        return busiWishUniversitySubmitPreEnrollMapper.deleteBusiWishUniversitySubmitPreEnrollById(id);
    }
}
